package hu.se.app08;

public class TextSecureAppMain {

	public static void main(String[] args) {
		String text = "Hallo, was kommt in der Klausr dran?";
		System.out.println("Text: " + text);
		System.out.println();

		boolean highLevelSecurity = true;

		// high-level security app
		TextSecureApp app = new TextSecureApp(new SecurityKeys(), highLevelSecurity);

		String encrypted = app.encryptText(text);
		System.out.println("Enrypted Text: " + encrypted);

		String decrypted = app.decryptText(encrypted);
		System.out.println("Derypted Text: " + decrypted);
		System.out.println();

		// low-level security app
		TextSecureApp lowSecApp = new TextSecureApp(new SecurityKeys(), !highLevelSecurity);

		String lowSecEncrypted = lowSecApp.encryptText(text);
		System.out.println("Enrypted Text: " + lowSecEncrypted);

		String lowSecDecrypted = lowSecApp.decryptText(lowSecEncrypted);
		System.out.println("Derypted Text: " + lowSecDecrypted);

	}

}
